"use strict";
this.name                = "vortex_NPC.js";
this.author              = "Thargoid";
this.copyright           = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description         = "Vortex NPC ship naming script.";
this.version             = "1.32";


this.shipSpawned = function()
{
    this.shipTitle = "Vortex";
    this.chooseName = Math.random();
    if(this.chooseName < 0.33)
        {
        switch(this.ship.primaryRole)
            {
            case "trader":
            case "sunskim-trader":
                {
                this.trader1 = ["Voyager", "Peddler", "Merchant", "Purveyor", "Trader", "Bringer", "Vendor", "Seeker", "Seller", "Master", "Trafficker", "Dealer"];
                this.trader2 = ["Ventures", "Wares", "Treasures", "Assets", "Blessings", "Fortune", "Prosperity", "Favours", "Gains", "Profit"];
                this.random1 = (Math.floor((Math.random() * this.trader1.length) - 0.000000001));
                this.random2 = (Math.floor((Math.random() * this.trader2.length) - 0.000000001));
                if(this.random1 < 0 || this.random1 > (this.trader1.length - 1)) { this.random1 = 0; }
                if(this.random2 < 0 || this.random2 > (this.trader2.length - 1)) { this.random2 = 0; }
                this.shipTitle = "Vortex: " + this.trader1[this.random1] + " of " + this.trader2[this.random2];
                break;
                }
            case "pirate":
                {
                this.pirate1 = ["Thief", "Stealer", "Buccaneer", "Mercenary", "Seeker", "Marauder", "Raider", "Brigand", "Corsair", "Slayer"];
                this.pirate2 = ["Loot", "Booty", "Plunder", "Lucre", "Cargo", "Harvest", "Sorrow", "Yield", "Acquisition", "Profit"];
                this.random1 = (Math.floor((Math.random() * this.pirate1.length) - 0.000000001));
                this.random2 = (Math.floor((Math.random() * this.pirate2.length) - 0.000000001));
                if(this.random1 < 0 || this.random1 > (this.pirate1.length - 1)) { this.random1 = 0; }
                if(this.random2 < 0 || this.random2 > (this.pirate2.length - 1)) { this.random2 = 0; }
                this.shipTitle = "Vortex: " + this.pirate1[this.random1] + " of " + this.pirate2[this.random2];
                break;
                }
            case "hunter":
                {
                this.hunter1 = ["Soldier", "Hunter", "Mercenary", "Slayer", "Fighter", "Champion", "Gladiator", "Paladin", "Knight", "Warrior", "Master"];
                this.hunter2 = ["Justice", "Pain", "Retribution", "Revenge", "Penance", "Vengeance", "Punishment", "Balance", "Blame", "Sorrow", "War", "Battle"];

                this.random1 = (Math.floor((Math.random() * this.hunter1.length) - 0.000000001));
                this.random2 = (Math.floor((Math.random() * this.hunter2.length) - 0.000000001));
                if(this.random1 < 0 || this.random1 > (this.hunter1.length - 1)) { this.random1 = 0; }
                if(this.random2 < 0 || this.random2 > (this.hunter2.length - 1)) { this.random2 = 0; }
                this.shipTitle = "Vortex: " + this.hunter1[this.random1] + " of " + this.hunter2[this.random2];
                break;
                }
            case "police":
                        case "police-station-patrol":
                        case "police-witchpoint-patrol":
            case "wingman":
                {
                this.police1 = ["Protector", "Defender", "Keeper", "Bringer", "Shield", "Sentinel", "Shepherd", "Watcher", "Warden", "Guardian"];
                this.police2 = ["Law", "Harmony", "Justice", "Honesty", "Right", "Protection", "Equity", "Order", "Covenant", "Truth", "Decree", "Dictate", "Regulation"];
                this.random1 = (Math.floor((Math.random() * this.police1.length) - 0.000000001));
                this.random2 = (Math.floor((Math.random() * this.police2.length) - 0.000000001));
                if(this.random1 < 0 || this.random1 > (this.police1.length - 1)) { this.random1 = 0; }
                if(this.random2 < 0 || this.random2 > (this.police2.length - 1)) { this.random2 = 0; }
                this.shipTitle = "Vortex: " + this.police1[this.random1] + " of " + this.police2[this.random2];
                break;
                }
            }
        }
        
        else
        
        {
            this.titleArray = ["Clairvoyant", "Powerslave", "Passepartout", "Pegasus", "Titanic", "Olympic", "Galactica", "Andromeda", "Kessel", "Aegidian", "Aqualina", "Antilles", "Dark Star", "Atlantis", "Discovery", "Kobayashi Maru", "Bermuda Cube", "Nebula", "Empiric", "Majestic", "Emerald Moon", "Empress of Ryaxaxax", "Far Sky", "Fuji Maru", "Imperator", "Independence", "Leviathan", "Maelstrom", "Meridian", "Michelangelo", "Millenium", "Neptune", "Neptunia", "Oceania", "Oceanic", "Orca", "Republic", "Resolute", "Saturnia", "Soyuz", "Valkerie", "Valhalla", "Star Dancer", "Solaris", "Victory", "Viking", "Vulcan", "Concorde", "Wolf", "Adonis", "Poseidon", "Zeus", "Apollo", "Eagle", "Phoenix", "Adventurer", "Odyssey", "Dolphin", "Allure", "Amadeus", "Adamant", "Spirit", "Aquamarine", "Arcadia", "Calypso", "Conquest", "Freedom", "Imagination", "Inspiration", "Legend", "Liberty", "Constellation", "Infinity", "Heart of Gold", "Solstice", "Mercury", "Jupiter", "Saturn", "Mars", "Crystal", "Symphony", "Melody", "Ambassador", "Rhapsody", "Wonder", "Dream Weaver", "Dreamer", "Elation", "Enchanter", "Enchantment", "Illusion", "Conjurer", "Magii", "Far Star", "Venturer", "Jubilee", "Sun Skimmer", "Lucky", "Preen", "Lucky Star", "Brigadoon", "Mardi Gras", "Carnival", "Festival", "Samba", "Tango", "Mariner", "Minerva", "Fantasia", "Opera", "Firefox", "Explorer", "Oasis", "Orion", "Platinum", "Aloha", "Radiant", "Regal", "Renaissance", "Princess", "Royale", "Rose", "Wonder", "Sovereign", "Vista", "Capricorn", "Aquarius", "Pisces", "Aries", "Taurus", "Gemini", "Leo", "Virgo", "Libra", "Scorpio", "Corona", "Wind Song", "Zion", "Infinite Dream"];
            this.titleChoice = Math.floor(Math.random() * this.titleArray.length);
            this.shipTitle = "Vortex: " + this.titleArray[this.titleChoice];
                    //return;
        }    
    this.ship.displayName = this.shipTitle;
}
